import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { DropdownOptionsModel } from './dropdown-options.model';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class UsaDropdownComponent implements ControlValueAccessor {
    cdr: ChangeDetectorRef;
    model: DropdownOptionsModel;
    /** Id of dropdown field */
    id: string;
    /** HTML name attribute for dropdown */
    name: string;
    /** List of selectable options */
    options: DropdownOptionsModel[];
    disabled: boolean;
    optionChange: EventEmitter<DropdownOptionsModel>;
    private onChange;
    private onTouched;
    constructor(cdr: ChangeDetectorRef);
    onOptionSelected($event: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    writeValue(value: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaDropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UsaDropdownComponent, "usa-dropdown", never, { "id": { "alias": "id"; "required": false; }; "name": { "alias": "name"; "required": false; }; "options": { "alias": "options"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "optionChange": "optionChange"; }, never, never, false, never>;
}
