import { ElementRef, EventEmitter, OnInit } from "@angular/core";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare class UsaFilePreviewDirective implements OnInit {
    private el;
    file: File;
    uploadRequest: (file: File) => Observable<any>;
    uploadError: EventEmitter<File>;
    imageElement: HTMLImageElement;
    constructor(el: ElementRef);
    ngOnInit(): void;
    private removeLoading;
    private _getFilePreviewClass;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaFilePreviewDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<UsaFilePreviewDirective, "[usaFilePreview]", never, { "file": { "alias": "file"; "required": false; }; "uploadRequest": { "alias": "uploadRequest"; "required": false; }; }, { "uploadError": "uploadError"; }, never, never, false, never>;
}
