import { AfterViewInit, ElementRef, Renderer2, TemplateRef, ViewContainerRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class UsaInputAffixDirective implements AfterViewInit {
    private el;
    private renderer;
    private viewContainer;
    prefix: TemplateRef<any> | string;
    suffix: TemplateRef<any> | string;
    constructor(el: ElementRef, renderer: Renderer2, viewContainer: ViewContainerRef);
    ngAfterViewInit(): void;
    /**
     *
     * @param affix Template or string to be displayed as prefix or suffix.
     * @param affixClass USWDS class to apply to element
     */
    handleAffix(affix: TemplateRef<any> | string, affixClass: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaInputAffixDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<UsaInputAffixDirective, "input[prefix], input[suffix]", never, { "prefix": { "alias": "prefix"; "required": false; }; "suffix": { "alias": "suffix"; "required": false; }; }, {}, never, never, false, never>;
}
