import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class UsaSearchComponent {
    cdr: ChangeDetectorRef;
    model: string;
    private _onChange;
    private _onTouched;
    ariaLabel: string;
    id: string;
    size: 'big' | 'small' | null;
    buttonText: string;
    placeholder: string;
    name: string;
    onBlur: EventEmitter<string>;
    searchTextChange: EventEmitter<string>;
    onTextSubmit: EventEmitter<string>;
    constructor(cdr: ChangeDetectorRef);
    focusChange(event: any): void;
    onKeydown(event: any): void;
    onValueChange(event: any): void;
    onSubmit(val: any, ev: any): void;
    updateModel(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaSearchComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UsaSearchComponent, "usa-search", never, { "ariaLabel": { "alias": "ariaLabel"; "required": false; }; "id": { "alias": "id"; "required": false; }; "size": { "alias": "size"; "required": false; }; "buttonText": { "alias": "buttonText"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "name": { "alias": "name"; "required": false; }; }, { "onBlur": "onBlur"; "searchTextChange": "searchTextChange"; "onTextSubmit": "onTextSubmit"; }, never, never, false, never>;
}
