import { EventEmitter } from "@angular/core";
import { UsaNavigationLink, UsaNavigationMode } from "../../util/navigation";
import * as i0 from "@angular/core";
export declare class UsaLinkTemplateComponent {
    NavigationMode: typeof UsaNavigationMode;
    link: UsaNavigationLink;
    /**
     * Class to apply to anchor tag element when
     * displaying link.
     * @default - empty string
     */
    class: string;
    /**
     * Class to apply for selected item.
     * Use empty string to not apply any class for selected item
     * @default 'usa-current'
     * */
    currentClass: string;
    linkClicked: EventEmitter<UsaNavigationLink<any>>;
    /**
     * creates url from provided route and query params
     * @param item - Link to use when building url
     */
    urlBuilder(item: UsaNavigationLink): string;
    private queryStringBuilder;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaLinkTemplateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UsaLinkTemplateComponent, "usa-link-template", never, { "link": { "alias": "link"; "required": false; }; "class": { "alias": "class"; "required": false; }; "currentClass": { "alias": "currentClass"; "required": false; }; }, { "linkClicked": "linkClicked"; }, never, never, false, never>;
}
