import { ChangeDetectorRef, ElementRef, OnChanges, TemplateRef } from "@angular/core";
import * as i0 from "@angular/core";
export declare class UsaTableDataDef {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaTableDataDef, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<UsaTableDataDef, "[usaTableDataDef]", never, {}, {}, never, never, false, never>;
}
export declare class UsaTableData {
    el: ElementRef;
    _isSortActive: boolean;
    constructor(el: ElementRef);
    setSortActive(): void;
    setSortInactive(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaTableData, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<UsaTableData, "[usa-table-data]", never, {}, {}, never, never, false, never>;
}
/**
 * Represents one row of table data
 */
export declare class UsaDataRowDef implements OnChanges {
    templateRef: TemplateRef<any>;
    private cdr;
    usaDataRowDefColumns: Iterable<string>;
    ngOnChanges(): void;
    constructor(templateRef: TemplateRef<any>, cdr: ChangeDetectorRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaDataRowDef, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<UsaDataRowDef, "[usaDataRowDef]", never, { "usaDataRowDefColumns": { "alias": "usaDataRowDefColumns"; "required": false; }; }, {}, never, never, false, never>;
}
