import { ElementRef, EventEmitter } from "@angular/core";
import * as i0 from "@angular/core";
export declare class UsaSort {
    _el: ElementRef;
    private _document;
    sortFn: (a: any, b: any) => number;
    sortClicked: EventEmitter<any>;
    ariaSort: 'ascending' | 'descending' | 'none';
    ariaLabel: string;
    private _columnHeaderText;
    constructor(_el: ElementRef, _document: any);
    onClick(): void;
    setColumnHeader(columnHeaderText: string): void;
    toggleAriaSort(): void;
    disableSort(): void;
    private defaultSortFunction;
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaSort, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UsaSort, "button[usa-sort]", never, { "sortFn": { "alias": "sortFn"; "required": false; }; }, { "sortClicked": "sortClicked"; }, never, never, false, never>;
}
