import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
/** For internal use - directive that adds or removes class based on hover */
export declare class HoverClassDirective {
    elementRef: ElementRef;
    constructor(elementRef: ElementRef);
    hoverClass: any;
    onMouseEnter(): void;
    onMouseLeave(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HoverClassDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<HoverClassDirective, "[hover-class]", never, { "hoverClass": { "alias": "hover-class"; "required": false; }; }, {}, never, never, false, never>;
}
export declare class HoverClassModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<HoverClassModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<HoverClassModule, [typeof HoverClassDirective], [typeof i1.CommonModule], [typeof HoverClassDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<HoverClassModule>;
}
