import * as i0 from "@angular/core";
/**
 * A configuration service for the UsaAccordion component.
 *
 * You can inject this service, typically in your root component, and customize its properties
 * to provide default values for all accordions used in the application.
 */
export declare class UsaAccordionConfig {
    singleSelect: boolean;
    bordered: boolean;
    headerLevel: 2 | 3 | 4 | 5 | 6;
    private _animation;
    get animation(): boolean;
    set animation(animation: boolean);
    static ɵfac: i0.ɵɵFactoryDeclaration<UsaAccordionConfig, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UsaAccordionConfig>;
}
